Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024839
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-09-27 13:252013-10-17 18:31
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revisionee0853118799
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP26.1SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024839: Problems with multicurrency

DescriptionProblems with multicurrency
Steps To Reproduce-Configure 2 payment types:
+one in EUR
+another one in ZAR

-Create 1 to 10 conversion rate
-Go to Web POS (configured in EUR) and create a ticket (to be invoiced) with value 1.30
-pay in ZAR's with 20 ZAR's and return 0,7 EUR

After that go to payment report and check that will see the invoice in 2 sites:
-awaiting payment
-Deposited not Cleared

The problem is that there are 4 payment schedule details instead of 2. If you execute the following query:
select * from fin_payment_scheduledetail order by created desc limit 4;

you will see that there are 2 PSD's without any payment detail related.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061492)
marvintm (developer)
2013-09-30 17:01

The problem can also be more easily reproduced by adding two payments (with two different payment methods) to a single order.

So, for example, by creating an order with total 200 euro, and paying 100 euro with cash, and 100 by credit card.
(0061493)
hgbot (developer)
2013-09-30 17:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ee0853118799df4a62788ce5327ca3a859e54fca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 30 17:01:36 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^]

Fixed issue 24839. Payment schedule details will be created for the amount of the particular payment, and not for the total order. This will prevent duplicated payment schedule details from appearing.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0061496)
guilleaer (developer)
2013-09-30 18:12

verified
(0061534)
hgbot (developer)
2013-10-04 09:28

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: ee0853118799df4a62788ce5327ca3a859e54fca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 30 17:01:36 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^]

Fixed issue 24839. Payment schedule details will be created for the amount of the particular payment, and not for the total order. This will prevent duplicated payment schedule details from appearing.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0061538)
guilleaer (developer)
2013-10-04 09:29

reclosed
(0061695)
hgbot (developer)
2013-10-16 13:38

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: ee0853118799df4a62788ce5327ca3a859e54fca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Sep 30 17:01:36 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^]

Fixed issue 24839. Payment schedule details will be created for the amount of the particular payment, and not for the total order. This will prevent duplicated payment schedule details from appearing.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0061786)
guilleaer (developer)
2013-10-17 18:31

reclosed

- Issue History
Date Modified Username Field Change
2013-09-27 13:25 jecharri New Issue
2013-09-27 13:25 jecharri Assigned To => marvintm
2013-09-27 13:25 jecharri Triggers an Emergency Pack => No
2013-09-30 17:01 marvintm Note Added: 0061492
2013-09-30 17:01 hgbot Checkin
2013-09-30 17:01 hgbot Note Added: 0061493
2013-09-30 17:01 hgbot Status new => resolved
2013-09-30 17:01 hgbot Resolution open => fixed
2013-09-30 17:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^]
2013-09-30 18:12 guilleaer Review Assigned To => guilleaer
2013-09-30 18:12 guilleaer Note Added: 0061496
2013-09-30 18:12 guilleaer Status resolved => closed
2013-09-30 18:12 guilleaer Fixed in Version => RMP27
2013-10-04 09:28 hgbot Checkin
2013-10-04 09:28 hgbot Note Added: 0061534
2013-10-04 09:28 hgbot Status closed => resolved
2013-10-04 09:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^]
2013-10-04 09:29 guilleaer Note Added: 0061538
2013-10-04 09:29 guilleaer Status resolved => closed
2013-10-16 13:38 hgbot Checkin
2013-10-16 13:38 hgbot Note Added: 0061695
2013-10-16 13:38 hgbot Status closed => resolved
2013-10-16 13:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/ee0853118799df4a62788ce5327ca3a859e54fca [^]
2013-10-17 18:31 guilleaer Note Added: 0061786
2013-10-17 18:31 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker